LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
SingleLayerStratum Service Reference

Provides access to a single layer of configuration data. More...

`import"SingleLayerStratum.idl";`

Inheritance diagram for SingleLayerStratum:

## Exported Interfaces
interface | XSingleLayerStratum
| provides access to single layer of configuration data. More...
interface | XBackendEntities
| provides information about supported and special entities. More...

## Additional Inherited Members
Public Member Functions inherited from XSingleLayerStratum
XLayer | getLayer ([in] string aComponent, [in] string aTimestamp) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layer data for a component, if newer than indicated. More...
XUpdatableLayer | getUpdatableLayer ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| retrieves a writable representation of the layer for a component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XBackendEntities
string | getOwnerEntity ()
| provides the entity id of the owner entity of the backend. More...
string | getAdminEntity ()
| provides the entity id of an entity for general administrative access. More...
boolean | supportsEntity ([in] string aEntity) raises ( BackendAccessException )
| determines, if a given entity id exists in this backend. More...
boolean | isEqualEntity ([in] string aEntity, [in] string aOtherEntity) raises ( BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| determines, if two given entity ids denote the same entity. More...

## Detailed Description

Provides access to a single layer of configuration data.

## Exported Interfaces

## ◆ XBackendEntities

interface XBackendEntities
| optional

provides information about supported and special entities.

## ◆ XSingleLayerStratum

interface XSingleLayerStratum

provides access to single layer of configuration data.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/SingleLayerStratum.idl